{{/*
Network Policies related templates.
*/}}

{{- define "gooddata-cn.antiAffinity" -}}
{{- if .Values.antiAffinity.enabled }}
affinity:        
  podAntiAffinity:
    {{- if eq .Values.antiAffinity.type "requiredDuringSchedulingIgnoredDuringExecution" }}
    {{ .Values.antiAffinity.type }}:
    - labelSelector:
        matchExpressions:
        - key: "app.kubernetes.io/name"
          operator: In
          values:
          - "{{ include "gooddata-cn.name" . }}"
        - key: "app.kubernetes.io/instance"
          operator: In
          values:
          - {{ .Release.Name }}
        - key: "app.kubernetes.io/component"
          operator: In
          values:
          - {{ .component }}
      topologyKey: {{ .Values.antiAffinity.topologyKey | quote }}
  {{- else }}
    {{ .Values.antiAffinity.type }}:
      - weight: 100
        podAffinityTerm:
          labelSelector:
            matchExpressions:
            - key: "app.kubernetes.io/name"
              operator: In
              values:
              - {{ include "gooddata-cn.name" . }}
            - key: "app.kubernetes.io/instance"
              operator: In
              values:
              - {{ .Release.Name }}
            - key: "app.kubernetes.io/component"
              operator: In
              values:
              - {{ .component }}
          topologyKey: {{ .Values.antiAffinity.topologyKey | quote }}
  {{- end -}}
{{- end -}}
{{- end -}}
