{{- /*
This section sets the secret for postgres connection for Dex

In case Dex specific user is not set, we take the default Postgres secret.

In case we have Dex user specified the logic and order is following:
1. value of "dex.config.database.existingSecret"
2. {{ include "gooddata-cn.fullname" . }}-dex-postgres-password - this secret is populated from the chart values.yaml
*/}}

{{- define "gooddata-cn.dexDbSecret" -}}
{{- if not .Values.dex.config.database.user }}
{{- include "gooddata-cn.postgresSecret" . }}
{{- else -}}
{{- .Values.dex.config.database.existingSecret | default (printf "%s-dex-postgres-password" (include "gooddata-cn.fullname" .)) -}}
{{- end -}}
{{- end -}}
