{{- define "gooddata-cn.metadata-bootstrapSecret" -}}
{{- if .Values.metadataApi.bootstrap.existingSecret -}}
{{ .Values.metadataApi.bootstrap.existingSecret }}
{{- else -}}
{{ include "gooddata-cn.fullname" . }}-metadata-bootstrap
{{- end -}}
{{- end -}}

{{- /*
This section sets the secret for postgres connection for MedataApi

In case MedataApi specific user is not set, we take the default Postgres secret.

In case we have MedataApi user specified the logic and order is following:
1. value of ".Values.metadataApi.database.existingSecret"
2. {{ include "gooddata-cn.fullname" . }}-md-postgres-password - this secret is populated from the chart values.yaml
*/}}

{{- define "gooddata-cn.mdDbSecret" -}}
{{- if not .Values.metadataApi.database.user }}
{{- include "gooddata-cn.postgresSecret" . }}
{{- else -}}
{{- .Values.metadataApi.database.existingSecret | default (printf "%s-md-postgres-password" (include "gooddata-cn.fullname" .)) -}}
{{- end -}}
{{- end -}}

{{- define "gooddata-cn.mdDbExporterSecret" -}}
{{- .Values.metadataApi.database.existingExporterSecret | default (printf "%s-md-exporter-postgres-password" (include "gooddata-cn.fullname" .)) -}}
{{- end -}}
