{{/*
Network Policies related templates.
*/}}

{{- define "gooddata-cn.network-policy" -}}
spec:
  podSelector:
    matchLabels:
      {{- include "gooddata-cn.selectorLabels" . | nindent 6 }}
  policyTypes:
  - Ingress
  {{- if or .allow_connections_from .allow_ingress_connections (index .Values .component "actuator") }}
  ingress:
  {{- if .allow_connections_from }}
  - from:
    {{- range .allow_connections_from }}
    - namespaceSelector:
        matchLabels:
          kubernetes.io/metadata.name: {{ $.Release.Namespace }}
      podSelector:
        matchLabels:
          app.kubernetes.io/component: {{ . }}
    {{- end }}
    ports:
    - protocol: TCP
      port: {{ index .Values .component "service" "internalPort" }}
    {{- if index .Values .component "service" "grpcInternalPort" }}
    - protocol: TCP
      port: {{ index .Values .component "service" "grpcInternalPort" }}
    {{- end }}
  {{- end }}
  {{- if .allow_ingress_connections }}
  - from:
    - namespaceSelector:
        matchLabels:
          {{- toYaml .Values.networkPolicy.nginxIngressNamespaceLabelSelector | nindent 10 }}
      podSelector:
        matchLabels:
          {{- toYaml .Values.networkPolicy.nginxIngressPodLabelSelector | nindent 10 }}
    ports:
    - protocol: TCP
      port: {{ index .Values .component "service" "internalPort" }}
  {{- end }}
  {{- if index .Values .component "actuator" }}
  - ports:
    - protocol: TCP
      port: {{ index .Values .component "actuator" "port" }}
  {{- end }}
  {{- end }}
{{- end -}}