{{/*
Generate Pulsar tenant
*/}}
{{- define "gooddata-cn.pulsarTenant" -}}
{{- if .Values.pulsarJob.namespacePerRelease -}}
{{ .Release.Namespace }}
{{- else -}}
{{ required "Missing service.pulsar.tenant value" .Values.service.pulsar.tenant }}
{{- end -}}
{{- end -}}

{{/*
Generate Pulsar namespace
*/}}
{{- define "gooddata-cn.pulsarNamespace" -}}
{{- if .Values.pulsarJob.namespacePerRelease -}}
{{ .Release.Name }}
{{- else -}}
{{ required "Missing service.pulsar.namespace value" .Values.service.pulsar.namespace }}
{{- end -}}
{{- end -}}

{{/*
Generate Pulsar URL prefix (tenant/namespace)
*/}}
{{- define "gooddata-cn.pulsarPrefix" -}}
{{ include "gooddata-cn.pulsarTenant" . }}/{{ include "gooddata-cn.pulsarNamespace" . }}
{{- end -}}
