{{- /*
This section sets the secret for postgres connection for SqlExecutor

In case SqlExecutor specific user is not set, we take the default Postgres secret.

In case we have SqlExecutor user specified the logic and order is following:
1. value of ".Values.sqlExecutor.database.existingSecret"
2. {{ include "gooddata-cn.fullname" . }}-sqlexec-postgres-password - this secret is populated from the chart values.yaml
*/}}

{{- define "gooddata-cn.sqlExecutorDbSecret" -}}
{{- if not .Values.sqlExecutor.database.user }}
{{- include "gooddata-cn.postgresSecret" . }}
{{- else -}}
{{- .Values.sqlExecutor.database.existingSecret | default (printf "%s-sqlexec-postgres-password" (include "gooddata-cn.fullname" .)) -}}
{{- end -}}
{{- end -}}

{{- define "gooddata-cn.bannedJdbcUrls" -}}
{{- printf "%s\n%s" (include "gooddata-cn.jdbcUrlDex" .) (include "gooddata-cn.jdbcUrlMd" .) -}}
{{- end -}}
