{{/*
Topology spread constraints related templates.
*/}}

{{- define "gooddata-cn.topologySpreadConstraints" -}}
{{- if .Values.topologySpreadConstraints.enabled }}
topologySpreadConstraints:
  - maxSkew: {{ .Values.topologySpreadConstraints.maxSkew }}
    topologyKey: {{ .Values.topologySpreadConstraints.topologyKey }}
    whenUnsatisfiable: {{ .Values.topologySpreadConstraints.whenUnsatisfiable }}
    labelSelector:
      matchExpressions:
        - key: "app.kubernetes.io/name"
          operator: In
          values:
            - "{{ include "gooddata-cn.name" . }}"
        - key: "app.kubernetes.io/instance"
          operator: In
          values:
            - {{ .Release.Name }}
        - key: "app.kubernetes.io/component"
          operator: In
          values:
            - {{ .component }}
{{- end -}}
{{- end -}}
